Subject: Germination time for tall fescue

From: [email-masked] (Molly Waterman)
Date: 7 Mar 1995 15:02:53 GMT

I seeded a shady wooded area with tall fescue about 10 days ago.  The day
after seeding it started to rain lightly and has rained lightly every
day since.  Last night we had a real gully washer.  I couldn't see a single
blade of grass there over the weekend and now I'm wondering if I should 
expect to ever see it at all.

I've read several articles on how to properly sow grass seed, but none
of them mention the germination time.  Can anyone out there tell me?

Molly Waterman
zone 8